<?php

namespace domain\PointSale\SharedPointSale;

use domain\_\AbstractBuilder;
use domain\_\StatusInterface;
use domain\PointSale\PointSale\PointSale;
use domain\Producer\Producer\Producer;

class SharedPointSaleBuilder extends AbstractBuilder
{
    public function instanciateSharedPointSale(PointSale $pointSale, Producer $producerWithSharing): SharedPointSale
    {
        $sharedPointSale = new SharedPointSale();

        $sharedPointSale->setPointSale($pointSale);
        $sharedPointSale->setProducerWithSharing($producerWithSharing);
        $sharedPointSale->setStatus(StatusInterface::STATUS_ONLINE);

        return $sharedPointSale;
    }
}